<bugID>378549<Summary>remember the value of the text zoom setting on a site-specific basis</Summary><Description>Most of the time, when users use the "text zoom" setting to change the size of text on a web page, they'd like to see the same size text the next time they visit that page, and in many cases they'd like that size to apply to all pages on the site they're browsing, not just that particular page.

But the setting currently only applies on a tab-specific basis.  Once a user closes a tab, their preference is lost, and when they return to that site they have to reset the setting to their preferred value.

The text zoom setting would be more useful Firefox remembered its value on a site-specific basis and would restore the value when users revisit sites on which they'd previously set a text zoom.</Description></bugID>